import type { Container } from '@microsoft/fast-foundation';
export declare const baseComponents: {
    zeroAccordion: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./accordion").Accordion>;
    zeroAccordionItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./accordion-item").AccordionItem>;
    zeroActionsMenu: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./actions-menu").ActionsMenu>;
    zeroAnchor: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./anchor").Anchor>;
    zeroAnchoredRegion: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./anchored-region").AnchoredRegion>;
    zeroAvatar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./avatar").Avatar>;
    zeroBadge: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./badge").Badge>;
    zeroBanner: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").Banner, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").Banner, any>;
    }, typeof import("./banner").Banner>;
    zeroBreadcrumbItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").BreadcrumbItemOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").BreadcrumbItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    zeroBreadcrumb: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./breadcrumb").Breadcrumb>;
    zeroButton: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./button").Button>;
    zeroCalendar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./calendar").Calendar>;
    zeroCard: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./card").Card>;
    zeroCheckbox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").CheckboxOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").CheckboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    zeroCombobox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./combobox").Combobox>;
    zeroConnectionIndicator: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./connection-indicator").ConnectionIndicator>;
    zeroDataGrid: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./data-grid").DataGrid>;
    zeroDesignSystemProvider: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
        styles: (context: import("@microsoft/fast-foundation").ElementDefinitionContext) => import("@microsoft/fast-element").ElementStyles;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
        styles: (context: import("@microsoft/fast-foundation").ElementDefinitionContext) => import("@microsoft/fast-element").ElementStyles;
    }, typeof import("./design-system-provider").ZeroDesignSystemProvider>;
    zeroDialog: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").Dialog, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").Dialog, any>;
    }, typeof import("./dialog").Dialog>;
    zeroDatePicker: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./date-picker").DatePicker, any>;
        styles: () => import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./date-picker").DatePicker, any>;
        styles: () => import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("./date-picker").DatePicker>;
    zeroDisclosure: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./disclosure").Disclosure>;
    zeroDivider: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./divider").Divider>;
    zeroDropdownMenu: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./dropdown-menu").DropdownMenu>;
    zeroErrorBoundary: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").ErrorBoundary, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").ErrorBoundary, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./error-boundary").ErrorBoundary>;
    zeroNotificationListener: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").NotificationListener, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").NotificationListener, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./notification-listener").NotificationListener>;
    zeroErrorBanner: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./error-banner").ErrorBanner, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./error-banner").ErrorBanner, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./error-banner").ErrorBanner>;
    zeroErrorDialog: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").ErrorDialog, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").ErrorDialog, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./error-dialog").ErrorDialog>;
    zeroFileUpload: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./file-upload").FileUpload, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./file-upload").FileUpload, any>;
    }, typeof import("./file-upload").FileUpload>;
    zeroFilter: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./filter").Filter, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./filter").Filter, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
    }, typeof import("./filter").Filter>;
    zeroFilterBar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./filter-bar").FilterBar>;
    zeroFlexLayout: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").FlexLayout, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").FlexLayout, any>;
    }, typeof import("./flex-layout").FlexLayout>;
    zeroFlipper: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FlipperOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FlipperOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    zeroFlyout: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./flyout").Flyout, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./flyout").Flyout, any>;
    }, typeof import("./flyout").Flyout>;
    zeroGridLayout: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").GridLayout, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").GridLayout, any>;
    }, typeof import("./grid-layout").GridLayout>;
    zeroGridLayoutItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").GridLayoutItem, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").GridLayoutItem, any>;
    }, typeof import("./grid-layout-item").GridLayoutItem>;
    zeroHorizontalScroll: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./horizontal-scroll").HorizontalScroll>;
    zeroIcon: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./icon").Icon>;
    zeroListbox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./listbox").Listbox>;
    zeroListboxOption: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./listbox-option").ListboxOption>;
    zeroMenu: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./menu").Menu>;
    zeroMenuItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").MenuItemOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").MenuItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    zeroModal: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").Modal, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").Modal, any>;
    }, typeof import("./modal").Modal>;
    zeroMultiselect: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./multiselect").Multiselect, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./multiselect").Multiselect, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("./multiselect").Multiselect>;
    zeroNumberField: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./number-field").NumberField>;
    zeroProgress: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./progress").Progress>;
    zeroProgressRing: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").ProgressRingOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").ProgressRingOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    zeroRadio: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./radio").Radio>;
    zeroRadioGroup: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./radio-group").RadioGroup>;
    zeroSegmentedControl: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./segmented-control").SegmentedControl>;
    zeroSegmentedItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").RadioOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").RadioOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    zeroSelect: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./select").Select>;
    zeroSkeleton: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./skeleton").Skeleton>;
    zeroSlider: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./slider").Slider>;
    zeroSliderLabel: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./slider-label").SliderLabel>;
    zeroSnackbar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./snackbar").Snackbar, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./snackbar").Snackbar, any>;
    }, typeof import("./snackbar").Snackbar>;
    zeroStepper: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./stepper").Stepper, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./stepper").Stepper, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("./stepper").Stepper>;
    zeroStepperTab: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./stepper-tab").StepperTab>;
    zeroStepperTabPanel: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./stepper-tab-panel").StepperTabPanel>;
    zeroSwitch: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./switch").Switch>;
    zeroTab: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./tab").Tab>;
    zeroTabPanel: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./tab-panel").TabPanel>;
    zeroTabs: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./tabs").Tabs>;
    zeroTextArea: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./text-area").TextArea>;
    zeroTextField: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./text-field").TextField>;
    zeroToast: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").Toast, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        shadowOptions: ShadowRootInit;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui").Toast, any>;
    }, typeof import("./toast").Toast>;
    zeroToolbar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./toolbar").Toolbar>;
    zeroTooltip: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./tooltip").Tooltip>;
    zeroTreeItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").TreeItemOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").TreeItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    zeroTreeView: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./tree-view").TreeView>;
    zeroUrlInput: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./url-input").UrlInput>;
    register(container?: Container, ...rest: any[]): void;
};
//# sourceMappingURL=base-components.d.ts.map